import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class Dive {

	static String line;
	static String[] nums;

	static char falcon;
	static int m;
	static int n;

	static char[][] image1;
	static char[][] image2;
	static char[][] result;

	public static void main(String[] args) throws IOException {
		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

		while (true) {
			line = br.readLine();
			nums = line.split(" ");

			m = Integer.parseInt(nums[0]);
			n = Integer.parseInt(nums[1]);

			// Koniec programu
			if (nums.length > 3) {
				if (m == 0 && n == 0) {
					break;
				}
			}

			falcon = nums[2].charAt(1);

			// Citam 1 obrazok
			image1 = new char[m][n];
			for (int i = 0; i < m; i++) {
				line = br.readLine();
				for (int j = 0; j < n; j++) {
					image1[i][j] = line.charAt(j);
				}
			}

			line = br.readLine();

			// Citam 2 obrazok
			image2 = new char[m][n];
			for (int i = 0; i < m; i++) {
				line = br.readLine();
				for (int j = 0; j < n; j++) {
					image2[i][j] = line.charAt(j);
				}
			}

			result = new char[m][n];
			int i1 = 0, i2 = 0, j1 = 0, j2 = 0;
			boolean nemam1 = true;
			boolean nemam2 = true;

			// Hladam v obrazku 1
			for (int i = 0; i < m && nemam1; i++) {
				for (int j = 0; j < n && nemam1; j++) {
					if (image1[i][j] == falcon) {
						i1 = i;
						j1 = j;
						nemam1 = false;
					}
				}
			}
			// Hladam v obrazku 2
			for (int i = 0; i < m && nemam2; i++) {
				for (int j = 0; j < n && nemam2; j++) {
					if (image2[i][j] == falcon) {
						i2 = i;
						j2 = j;
						nemam2 = false;
					}
				}
			}

			int posunI = i2 - i1;
			int posunJ = j2 - j1;

			for (int i = 0; i < m; i++) {
				for (int j = 0; j < n; j++) {
					int ii = i - posunI;
					int jj = j - posunJ;
					if (ii >= 0 && ii < m && jj >= 0 && jj < n && image2[ii][jj] == falcon) {
						result[i][j] = falcon;
					} else {
						if (image2[i][j] != falcon) {
							result[i][j] = image2[i][j];
						} else {
							result[i][j] = image1[i][j];
						}
					}
				}
			}

			line = br.readLine();

			vypis(result);
		}
	}

	static void vypis(char[][] obrazok) {
		for (int i = 0; i < m; i++) {
			for (int j = 0; j < n; j++) {
				System.out.print(obrazok[i][j]);
			}
			System.out.println();
		}
	}

}
