import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class Screen {
	static String[] nums;
	static String[] vyraz;
	static String line;
	static String riadok1;
	static String riadok2;

	public static void main(String[] args) throws IOException {
		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

		while (!(line = br.readLine()).equals("0 0")) {
			nums = line.split(" ");
			if (nums[0].equals("1")) {
				line = br.readLine();
				vyraz = line.split(" ");
				System.out.println(vyhodnotVyraz(vyraz));
			} else if (nums[0].equals("2")) {
				riadok1 = br.readLine();
				line = br.readLine();
				StringBuilder newVyraz = new StringBuilder();
				for (int i = 0; i < line.length(); i++) {
					if (line.charAt(i) == '\\') {
						int koniecOdm = 0;
						for (int j = i + 2; j < line.length(); j++) {
							if (riadok1.charAt(j) == ' ') {
								koniecOdm = j;
								break;
							}
						}
						newVyraz.append((int) Math.sqrt(vyhodnotVyraz(line.substring(i + 2, koniecOdm).split(" "))));
						i = koniecOdm - 1;
					} else {
						newVyraz.append(line.charAt(i));
					}
				}
				System.out.println(vyhodnotVyraz(newVyraz.toString().split(" ")));
			} else {
				riadok1 = br.readLine();
				line = br.readLine();
				riadok2 = br.readLine();
				StringBuilder newVyraz = new StringBuilder();
				for (int i = 0; i < line.length(); i++) {
					if (line.charAt(i) == '\\') {
						int koniecOdm = 0;
						for (int j = i + 2; j < line.length(); j++) {
							if (riadok1.charAt(j) == ' ') {
								koniecOdm = j;
								break;
							}
						}
						newVyraz.append((int) Math.sqrt(vyhodnotVyraz(line.substring(i + 2, koniecOdm).split(" "))));
						i = koniecOdm - 1;
					} else if (line.charAt(i) == '=') {
						int koniecOdm = 0;
						for (int j = i; j < line.length(); j++) {
							if (riadok1.charAt(j) == ' ') {
								koniecOdm = j;
								break;
							}
						}
						newVyraz.append((int) Math.sqrt(vyhodnotVyraz(line.substring(i, koniecOdm).split(" "))));
						i = koniecOdm - 1;
					} else {
						newVyraz.append(line.charAt(i));
					}
				}
			}
			line = br.readLine();
		}
	}

	private static int vyhodnotVyraz(String[] vyraz2) {
		Integer posledneCislo = null;
		int vysledok = 0;
		for (int i = 0; i < vyraz2.length; i++) {
			if (jeCislo(vyraz2[i])) {
				posledneCislo = Integer.parseInt(vyraz2[i]);
			} else {
				if (vyraz2[i].equals("+")) {
					vysledok += posledneCislo;
					posledneCislo = 0;
					// if (i + 2 < vyraz2.length && vyraz2[i + 2].equals("*")) {
					// vysledok += posledneCislo;
					// }
				} else if (vyraz2[i].equals("-")) {
					vysledok += posledneCislo;
					posledneCislo = 0;
					vyraz2[i + 1] = "-" + vyraz2[i + 1];
				} else {
					posledneCislo = posledneCislo * Integer.parseInt(vyraz2[i + 1]);
					i++;
				}
			}
		}
		vysledok += posledneCislo;
		return vysledok;
	}

	private static boolean jeCislo(String string) {
		return !(string.equals("+") || string.equals("*") || string.equals("-"));
	}
}
